unofficial mirror of guix-devel@gnu.org 
 help / color / mirror / code / Atom feed
From: Felix Lechner via "Development of GNU Guix and the GNU System distribution." <guix-devel@gnu.org>
To: guix-devel@gnu.org
Subject: Reconfigure fails after merge of core-updates
Date: Sun, 22 Sep 2024 19:26:50 -0700	[thread overview]
Message-ID: <87wmj3ds0l.fsf@lease-up.com> (raw)

Hi,

I get a reproducible failure when trying to reconfigure my systems with
the latest master branch.  The log tail is below.

My Guix is patched heavily, but those changes are above and outside the
commit e85f52e mentioned in the version string below.

Hints about why 'make check' fails with status 2 for
guix-1.4.0-25.e85f52e would be especially appreciated.  Thanks!

Kind regards
Felix

* * *

RUN: tests/offload
==================

/tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/tests/offload.scm:41:2: warning: The 'system' field is deprecated, please use 'systems' instead.
test-name: #f
location: /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/tests/offload.scm:55
source:
+ (test-assert
+   (machine-matches?
+     (deprecated-build-machine "i686-linux")
+     (build-requirements (system "i686-linux"))))
actual-value: #t
result: PASS

test-name: #f
location: /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/tests/offload.scm:60
source:
+ (test-assert
+   (machine-matches?
+     (new-build-machine '("i686-linux"))
+     (build-requirements (system "i686-linux"))))
actual-value: #t
result: PASS

test-name: #f
location: /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/tests/offload.scm:66
source:
+ (test-assert
+   (machine-matches?
+     (new-build-machine
+       '("armhf-linux"
+         "aarch64-linux"
+         "i686-linux"
+         "x86_64-linux"))
+     (build-requirements (system "armhf-linux"))))
actual-value: #t
result: PASS


SKIP: tests/guix-build-branch
=============================

+ guix build --version
guix build (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
+ exit 77
SKIP tests/guix-build-branch.sh (exit status: 77)

SKIP: tests/guix-git-authenticate
=================================

+ '[' -d /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/.git ']'
+ exit 77
SKIP tests/guix-git-authenticate.sh (exit status: 77)

SKIP: tests/guix-pack
=====================

+ guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
+ exit 77
SKIP tests/guix-pack.sh (exit status: 77)

SKIP: tests/guix-pack-localstatedir
===================================

+ guix pack --version
guix pack (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
++ guile -c '(use-modules (guix config))(display %storedir)'
+ storedir=/gnu/store
++ guile -c '(use-modules (guix config))(display %localstatedir)'
+ localstatedir=/var
+ NIX_STORE_DIR=/gnu/store
+ GUIX_DAEMON_SOCKET=/var/guix/daemon-socket/socket
+ export NIX_STORE_DIR GUIX_DAEMON_SOCKET
+ guile -c '(use-modules (guix)) (exit (false-if-exception (open-connection)))'
+ exit 77
SKIP tests/guix-pack-localstatedir.sh (exit status: 77)

SKIP: tests/guix-pack-relocatable
=================================

+ guix pack --version
guix pack (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
++ guile -c '(use-modules (guix config))(display %storedir)'
+ storedir=/gnu/store
++ guile -c '(use-modules (guix config))(display %localstatedir)'
+ localstatedir=/var
+ NIX_STORE_DIR=/gnu/store
+ GUIX_DAEMON_SOCKET=/var/guix/daemon-socket/socket
+ export NIX_STORE_DIR GUIX_DAEMON_SOCKET
+ guile -c '(use-modules (guix)) (exit (false-if-exception (open-connection)))'
+ exit 77
SKIP tests/guix-pack-relocatable.sh (exit status: 77)

SKIP: tests/guix-package-net
============================

+ guix package --version
guix package (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
+ exit 77
SKIP tests/guix-package-net.sh (exit status: 77)

SKIP: tests/guix-home
=====================

+ set -e
+ guix home --version
guix home (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
++ guile -c '(use-modules (guix config))(display %localstatedir)'
+ localstatedir=/var
++ guile -c '(use-modules (guix config))(display %storedir)'
+ NIX_STORE_DIR=/gnu/store
+ GUIX_DAEMON_SOCKET=/var/guix/daemon-socket/socket
+ export NIX_STORE_DIR GUIX_DAEMON_SOCKET
+ guile -c '(use-modules (guix)) (exit (false-if-exception (open-connection)))'
+ exit 77
SKIP tests/guix-home.sh (exit status: 77)

SKIP: tests/guix-environment-container
======================================

+ set -e
+ exit 77
SKIP tests/guix-environment-container.sh (exit status: 77)

SKIP: tests/guix-time-machine
=============================

+ '[' -d /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/.git ']'
+ guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
+ echo 'This test requires networking or a local Git checkout; skipping.'
This test requires networking or a local Git checkout; skipping.
+ exit 77
SKIP tests/guix-time-machine.sh (exit status: 77)

SKIP: tests/guix-describe
=========================

+ guix describe --version
guix describe (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ tmpfile=t-guix-describe-21516
+ trap 'rm -f t-guix-describe-21516' EXIT
+ rm -f t-guix-describe-21516
+ '[' -d /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/.git ']'
+ exit 77
+ rm -f t-guix-describe-21516
SKIP tests/guix-describe.sh (exit status: 77)


error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("check") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `check' failed after 1183.5 seconds
command "make" "check" failed with status 2
build process 10 exited with status 256


             reply	other threads:[~2024-09-23  2:27 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-23  2:26 Felix Lechner via Development of GNU Guix and the GNU System distribution. [this message]
2024-09-26 13:45 ` Reconfigure fails after merge of core-updates Ludovic Courtès
2024-09-28  1:12   ` Felix Lechner via Development of GNU Guix and the GNU System distribution.

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://guix.gnu.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=87wmj3ds0l.fsf@lease-up.com \
    --to=guix-devel@gnu.org \
    --cc=felix.lechner@lease-up.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://git.savannah.gnu.org/cgit/guix.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).